'==========================================================================
'
' NAME: WordXMLPrint.vbs
'
' AUTHOR: Jim Williams
' DATE  : 30/04/2007
'
' COMMENT: Batch prints Word XML files.
' HOW TO USE: Drag a folder containing the XML files onto the script.
'==========================================================================
Option Explicit

Dim Arg 			'Script argument
Dim FSO			'File System Object
Dim oFol			'Folder object
Dim oFil			'File object
Dim oFils		'Files
Dim myWord		'Word object
Dim filePath	'Path to file (need for Word to open the file)

'Check arguments
If WScript.Arguments.Length < 1 Then
	MsgBox "Drag a folder containing Word XML files onto this script", vbOKOnly, "Error!"
	WScript.Quit
End If 

Set FSO = CreateObject("Scripting.FileSystemObject")
Arg = WScript.Arguments(0)
If FSO.FolderExists(Arg) = False Then
   MsgBox "Drag and drop a folder onto this script to print the contents."
   Set FSO = Nothing
   WScript.Quit
End If

Set myWord = CreateObject("Word.Application")
myWord.Visible = True

'Get folder informaton
Set oFol = FSO.GetFolder(Arg)

Set oFils = oFol.Files
   For Each oFil in oFils  '-- enumerate files in the folder using For/Each. Each oFil is a File object.
      filePath = oFil
      myWord.Documents.Open filePath, True, True, False, , , False, , , 8, , True
      myWord.PrintOut False
      myWord.Documents.Close False
   Next 
myWord.Application.Quit False
Set myWord = Nothing
Set oFils = Nothing
Set oFol = Nothing
MsgBox "Complete!", vbOKOnly, "Printing done"